Loading...
Searching...
No Matches
pdumodel::Unit Interface Reference

Unit interface. More...

`import <Unit.idl;`

## Classes

struct | IdentificationStartedEvent
| Event: Unit identification requested. More...
struct | MetaData
| Unit metadata More...
struct | Settings
| Unit settings More...

## Public Types

enum | Orientation { NORMAL , FLIPPED }
| Display orientation. More...

## Public Member Functions

MetaData | getMetaData ()
| Retrieve the unit metadata.
Settings | getSettings ()
| Retrieve the unit settings.
int | setSettings (in Settings settings)
| Change the unit settings.
void | identify (in int seconds)
| Display something distictive to identify the unit.
void | muteBuzzer (in boolean mute)
| Mute buzzer, turn of all audible alarms.
Orientation | getDisplayOrientation ()
| Retrieve the current orientation of the display.

## Public Attributes

constant int | ERR_INVALID_PARAM = 1
| Invalid parameters.

## Detailed Description

Unit interface.

Definition at line 17 of file Unit.idl.

## Member Enumeration Documentation

## Orientation

enum pdumodel::Unit::Orientation

Display orientation.

Enumerator
NORMAL | Normal orientation.
FLIPPED | Upside-down.

Definition at line 22 of file Unit.idl.

## Member Function Documentation

## getDisplayOrientation()

Orientation pdumodel::Unit::getDisplayOrientation | ( |  | ) |

Retrieve the current orientation of the display.

Returns
  Display orientation.

## getMetaData()

MetaData pdumodel::Unit::getMetaData | ( |  | ) |

Retrieve the unit metadata.

Returns
  Unit metadata

## getSettings()

Settings pdumodel::Unit::getSettings | ( |  | ) |

Retrieve the unit settings.

Returns
  Unit settings

## identify()

void pdumodel::Unit::identify | ( | in int | seconds | ) |

Display something distictive to identify the unit.

Parameters

  seconds | Number of seconds to display the identify string

## muteBuzzer()

void pdumodel::Unit::muteBuzzer | ( | in boolean | mute | ) |

Mute buzzer, turn of all audible alarms.

Parameters

  mute | `true` to mute buzzer, `false` for normal mode

## setSettings()

int pdumodel::Unit::setSettings | ( | in Settings | settings | ) |

Change the unit settings.

Parameters

  settings | New unit settings

Returns
  0 if OK
  ERR_INVALID_PARAM if any parameters are invalid

## Member Data Documentation

## ERR_INVALID_PARAM

constant int pdumodel::Unit::ERR_INVALID_PARAM = 1

Invalid parameters.

Definition at line 19 of file Unit.idl.

The documentation for this interface was generated from the following file:

- Unit.idl